[oe-commits] Brijesh Singh : matrix-gui_svn: add init script for dm365-evm.

git version control git at git.openembedded.org
Mon May 10 23:48:37 UTC 2010


Module: openembedded.git
Branch: org.openembedded.dev
Commit: b0ccc12f3f1b8d8ec80e45c3ee08d5c0ae865dad
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=b0ccc12f3f1b8d8ec80e45c3ee08d5c0ae865dad

Author: Brijesh Singh <bksingh at ti.com>
Date:   Mon May 10 17:56:15 2010 -0500

matrix-gui_svn: add init script for dm365-evm.

* use default Rotation to 0 degrees.
* remove touch screen specific variables.

Signed-off-by: Brijesh Singh <bksingh at ti.com>
Signed-off-by: Denys Dmytriyenko <denis at denix.org>

---

 recipes/ti/matrix-gui/dm365-evm/init |   26 ++++++++++++++++++++++++++
 recipes/ti/matrix-gui_svn.bb         |    2 +-
 2 files changed, 27 insertions(+), 1 deletions(-)

diff --git a/recipes/ti/matrix-gui/dm365-evm/init b/recipes/ti/matrix-gui/dm365-evm/init
new file mode 100755
index 0000000..b0e56ff
--- /dev/null
+++ b/recipes/ti/matrix-gui/dm365-evm/init
@@ -0,0 +1,26 @@
+#! /bin/sh
+matrixgui="/usr/bin/matrix_gui"
+GUI_OPTS="-qws -geometry 720x480+0+10 -display transformed:Rot0 /usr/share/matrix/html/menu_main.html"
+
+test -x "$matrixgui" || exit 0
+
+case "$1" in
+  start)
+    # switch to component 480p mode
+    echo 480P-60 > /sys/class/davinci_display/ch0/mode
+    echo COMPONENT > /sys/class/davinci_display/ch0/output
+    echo -n "Starting Matrix GUI application"
+    start-stop-daemon --start --quiet --background --pidfile /var/run/matrix-gui.pid --exec $matrixgui -- $GUI_OPTS
+    echo "."
+    ;;
+  stop)
+    echo -n "Stopping Matrix GUI application"
+    start-stop-daemon --stop --quiet --pidfile /var/run/matrix-gui.pid
+    echo "."
+    ;;
+  *)
+    echo "Usage: /etc/init.d/matrix-gui {start|stop}"
+    exit 1
+esac
+
+exit 0
diff --git a/recipes/ti/matrix-gui_svn.bb b/recipes/ti/matrix-gui_svn.bb
index 5d0f082..34db1ca 100644
--- a/recipes/ti/matrix-gui_svn.bb
+++ b/recipes/ti/matrix-gui_svn.bb
@@ -6,7 +6,7 @@ PRIORITY = "optional"
 
 SRCREV = "56"
 PV = "1.0"
-PR = "r5+svnr${SRCPV}"
+PR = "r6+svnr${SRCPV}"
 
 SRC_URI = "svn://gforge.ti.com/svn/matrix_gui/;module=trunk;proto=https;user=anonymous;pswd='' \
 	file://init \





More information about the Openembedded-commits mailing list